Cambrionix connect
Developers
Hardware API

Devices

Add, remove and list Devices in a given organization.

Get Computer Devices

GET

/hardware/v1/computers/{computerId}/devices

Get devices for a given computer.

Requires a bearer access token for this API with the Organization.Device.Read permission. See Authentication.

Parameters

computerIdstringpathrequired

The unique identifier for a computer

filterstringquery

Returns only the items that match, written as (path::operator::value), such as (name::co::Lab). Operators are eq, co, sw, ew, gt and pr, and the case-insensitive ieq, ico, isw and iew. Combine conditions as ((a)::and::(b)) or ((a)::or::(b)).

sortstringquery

Orders the items, written as (path::asc) or (path::desc). Combine orders as ((a)::and::(b)).

limitintegerquery

The maximum number of items to return.

tokenstringquery

Returns the next page: the _metadata.continuationToken of the previous response.

Responses

200

Response schema with result and metadata

object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultOrganizationDevice[]required
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/hardware/v1/computers/{computerId}/devices" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Create a new Device

POST

/hardware/v1/device

Create a new device for an organization.

Requires a bearer access token for this API with the Organization.Device.Write permission. See Authentication.

Request body

object
batteryobject

The details of the battery of a device

connectionobject

The connection information for the device

errorstring

Any error relating to the device

identifiersobject

The unique identifiers for this device

locationobject
modelobject
namestring

The name of the device

networkobject

The network details of the device

noteobject

Any notes about the device

osobject

The operating system details of the device

productobject

The product details of the device

storageobject[]

The storage details of the device

trustobject

The trust status of the device

typestringrequired

The type of device e.g mobile, storage, other

One of: "mobile", "tablet", "storage", "other"

vendorobject

The manufacturer of the device e.g Apple or Samsung

hardwareobject[]
metadatamap of any
idstring

Responses

200

Response schema with result and metadata

object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X POST "https://connect.cambrionix.com/api/hardware/v1/device" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "battery": {
    "capacity": {
      "current": 0,
      "original": 0
    },
    "error": "string",
    "health": 0,
    "level": 0,
    "status": "charging"
  },
  "connection": {
    "status": "connected",
    "updated": 0,
    "speed": {
      "current": {
        "description": "Low",
        "value": "1.5Mbps"
      },
      "supported": {
        "description": "Low",
        "value": "1.5Mbps"
      }
    },
    "type": "usb",
    "version": "string"
  },
  "error": "string",
  "identifiers": {
    "commonId": "string",
    "ecid": "string",
    "imei": "string",
    "serialNumber": "string",
    "udid": "string",
    "usbSerialNumber": "string"
  },
  "location": {
    "computerId": "00000000-0000-0000-0000-000000000000",
    "hub": {
      "serialNumber": "string"
    },
    "id": 0,
    "port": 0
  },
  "model": {
    "code": "string",
    "description": "string"
  },
  "name": "string",
  "network": {
    "ip": "string",
    "mac": "string"
  },
  "note": {
    "content": "string",
    "updated": {
      "entity": {
        "id": "string"
      },
      "globalService": {
        "id": "string"
      },
      "time": 0,
      "user": {
        "id": "string"
      }
    }
  },
  "os": {
    "type": "Android",
    "version": "string"
  },
  "product": {
    "id": 0,
    "name": "string"
  },
  "storage": [
    {
      "format": "string",
      "free": 0,
      "max": 0,
      "name": "string",
      "path": "string"
    }
  ],
  "trust": {
    "status": "not-paired",
    "supported": true
  },
  "type": "mobile",
  "vendor": {
    "id": 0,
    "name": "string"
  },
  "hardware": [
    {
      "id": "string"
    }
  ],
  "id": "string"
}'

Check Device Firmware Updates

GET

/hardware/v1/device/firmware/check

Check for firmware updates for a given device.

Requires a bearer access token for this API with the Organization.Device.Read permission. See Authentication.

Responses

200
object
_metadataobject
resultOrganizationDeviceWithLatestFirmware[]required
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/hardware/v1/device/firmware/check" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Get Devices

GET

/hardware/v1/devices

List the devices (phones, tablets and other USB devices) seen on the organization's hubs.

Requires a bearer access token for this API with the Organization.Device.Read permission. See Authentication.

Parameters

filterstringquery

Returns only the items that match, written as (path::operator::value), such as (name::co::Lab). Operators are eq, co, sw, ew, gt and pr, and the case-insensitive ieq, ico, isw and iew. Combine conditions as ((a)::and::(b)) or ((a)::or::(b)).

sortstringquery

Orders the items, written as (path::asc) or (path::desc). Combine orders as ((a)::and::(b)).

limitintegerquery

The maximum number of items to return.

tokenstringquery

Returns the next page: the _metadata.continuationToken of the previous response.

Responses

200

Response schema with result and metadata

object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultOrganizationDevice[]required
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/hardware/v1/devices" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Get Device

GET

/hardware/v1/devices/{deviceId}

Get one device by id.

Requires a bearer access token for this API with the Organization.Device.Read permission. See Authentication.

Parameters

deviceIdstringpathrequired

Path parameter

Responses

200

Response schema with result and metadata

object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/hardware/v1/devices/{deviceId}" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Update Device

PATCH

/hardware/v1/devices/{deviceId}

Update a device by id.

Requires a bearer access token for this API with the Organization.Device.Write permission. See Authentication.

Parameters

deviceIdstringpathrequired

Path parameter

Request body

object
batteryobject

The details of the battery of a device

connectionobject

The connection information for the device

errorstring

Any error relating to the device

identifiersobject

The unique identifiers for this device

locationobject
modelobject
namestring

The name of the device

networkobject

The network details of the device

noteobject

Any notes about the device

osobject

The operating system details of the device

productobject

The product details of the device

storageobject[]

The storage details of the device

trustobject

The trust status of the device

typestring

The type of device e.g mobile, storage, other

One of: "mobile", "tablet", "storage", "other"

vendorobject

The manufacturer of the device e.g Apple or Samsung

hardwareobject[]
metadatamap of any

Responses

200

Response schema with result and metadata

object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X PATCH "https://connect.cambrionix.com/api/hardware/v1/devices/{deviceId}" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "battery": {
    "capacity": {
      "current": 0,
      "original": 0
    },
    "error": "string",
    "health": 0,
    "level": 0,
    "status": "charging"
  },
  "connection": {
    "status": "connected",
    "updated": 0,
    "speed": {
      "current": {
        "description": "Low",
        "value": "1.5Mbps"
      },
      "supported": {
        "description": "Low",
        "value": "1.5Mbps"
      }
    },
    "type": "usb",
    "version": "string"
  },
  "error": "string",
  "identifiers": {
    "commonId": "string",
    "ecid": "string",
    "imei": "string",
    "serialNumber": "string",
    "udid": "string",
    "usbSerialNumber": "string"
  },
  "location": {
    "computerId": "00000000-0000-0000-0000-000000000000",
    "hub": {
      "serialNumber": "string"
    },
    "id": 0,
    "port": 0
  },
  "model": {
    "code": "string",
    "description": "string"
  },
  "name": "string",
  "network": {
    "ip": "string",
    "mac": "string"
  },
  "note": {
    "content": "string",
    "updated": {
      "entity": {
        "id": "string"
      },
      "globalService": {
        "id": "string"
      },
      "time": 0,
      "user": {
        "id": "string"
      }
    }
  },
  "os": {
    "type": "Android",
    "version": "string"
  },
  "product": {
    "id": 0,
    "name": "string"
  },
  "storage": [
    {
      "format": "string",
      "free": 0,
      "max": 0,
      "name": "string",
      "path": "string"
    }
  ],
  "trust": {
    "status": "not-paired",
    "supported": true
  },
  "type": "mobile",
  "vendor": {
    "id": 0,
    "name": "string"
  },
  "hardware": [
    {
      "id": "string"
    }
  ]
}'

Delete Device

DELETE

/hardware/v1/devices/{deviceId}

Delete a device by id.

Requires a bearer access token for this API with the Organization.Device.Delete permission. See Authentication.

Parameters

deviceIdstringpathrequired

Path parameter

Responses

200
object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X DELETE "https://connect.cambrionix.com/api/hardware/v1/devices/{deviceId}" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Get Device Firmware

GET

/hardware/v1/devices/{deviceId}/firmware

Get a Device's Firmware by a specified Device ID

Requires a bearer access token for this API with the Organization.Device.Read permission. See Authentication.

Parameters

deviceIdstringpathrequired

Path parameter

filterstringquery

Returns only the items that match, written as (path::operator::value), such as (name::co::Lab). Operators are eq, co, sw, ew, gt and pr, and the case-insensitive ieq, ico, isw and iew. Combine conditions as ((a)::and::(b)) or ((a)::or::(b)).

sortstringquery

Orders the items, written as (path::asc) or (path::desc). Combine orders as ((a)::and::(b)).

limitintegerquery

The maximum number of items to return.

tokenstringquery

Returns the next page: the _metadata.continuationToken of the previous response.

Responses

200

Response schema with result and metadata

object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultHardwareFirmware[]required
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/hardware/v1/devices/{deviceId}/firmware" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Get Device Firmware

GET

/hardware/v1/devices/{deviceId}/firmware/{version}

Get a Device's Firmware by a specified Device ID and version

Requires a bearer access token for this API with the Organization.Device.Read permission. See Authentication.

Parameters

deviceIdstringpathrequired

Path parameter

versionstringpathrequired

Path parameter

filterstringquery

Returns only the items that match, written as (path::operator::value), such as (name::co::Lab). Operators are eq, co, sw, ew, gt and pr, and the case-insensitive ieq, ico, isw and iew. Combine conditions as ((a)::and::(b)) or ((a)::or::(b)).

sortstringquery

Orders the items, written as (path::asc) or (path::desc). Combine orders as ((a)::and::(b)).

limitintegerquery

The maximum number of items to return.

tokenstringquery

Returns the next page: the _metadata.continuationToken of the previous response.

Responses

200

Response schema with result and metadata

object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultone ofrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/hardware/v1/devices/{deviceId}/firmware/{version}" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Get Device Firmware Latest

GET

/hardware/v1/devices/{deviceId}/firmware/latest

Get a Device's Latest Firmware by a specified Device ID

Requires a bearer access token for this API with the Organization.Device.Read permission. See Authentication.

Parameters

deviceIdstringpathrequired

Path parameter

filterstringquery

Returns only the items that match, written as (path::operator::value), such as (name::co::Lab). Operators are eq, co, sw, ew, gt and pr, and the case-insensitive ieq, ico, isw and iew. Combine conditions as ((a)::and::(b)) or ((a)::or::(b)).

sortstringquery

Orders the items, written as (path::asc) or (path::desc). Combine orders as ((a)::and::(b)).

limitintegerquery

The maximum number of items to return.

tokenstringquery

Returns the next page: the _metadata.continuationToken of the previous response.

Responses

200

Response schema with result and metadata

object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultone ofrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/hardware/v1/devices/{deviceId}/firmware/latest" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Get Group Devices

GET

/hardware/v1/groups/{hardwareGroupId}/devices

Get all devices for a group.

Requires a bearer access token for this API with the Organization.HardwareGroups.Devices.Read permission. See Authentication.

Parameters

hardwareGroupIdstringpathrequired

Path parameter

filterstringquery

Returns only the items that match, written as (path::operator::value), such as (name::co::Lab). Operators are eq, co, sw, ew, gt and pr, and the case-insensitive ieq, ico, isw and iew. Combine conditions as ((a)::and::(b)) or ((a)::or::(b)).

sortstringquery

Orders the items, written as (path::asc) or (path::desc). Combine orders as ((a)::and::(b)).

limitintegerquery

The maximum number of items to return.

tokenstringquery

Returns the next page: the _metadata.continuationToken of the previous response.

Responses

200

Response schema with result and metadata

object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultOrganizationDevice[]required
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/hardware/v1/groups/{hardwareGroupId}/devices" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Create a Hardware Group Device

POST

/hardware/v1/groups/{hardwareGroupId}/devices/{deviceId}

Create a device in a group.

Requires a bearer access token for this API with the Organization.HardwareGroups.Devices.Write permission. See Authentication.

Parameters

hardwareGroupIdstringpathrequired

Path parameter

deviceIdstringpathrequired

Path parameter

Request body

object
deviceIdsany of[]required
hardwareGroupobjectrequired

Responses

200
object
resultOrganizationHardwareGroupDevice[]required
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X POST "https://connect.cambrionix.com/api/hardware/v1/groups/{hardwareGroupId}/devices/{deviceId}" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "deviceIds": [
    "string"
  ],
  "hardwareGroup": {
    "id": "string"
  }
}'

Delete a Hardware Group Device

DELETE

/hardware/v1/groups/{hardwareGroupId}/devices/{deviceId}

Delete a device from a group.

Requires a bearer access token for this API with the Organization.HardwareGroups.Devices.Delete permission. See Authentication.

Parameters

hardwareGroupIdstringpathrequired

Path parameter

deviceIdstringpathrequired

Path parameter

Responses

200
object
resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X DELETE "https://connect.cambrionix.com/api/hardware/v1/groups/{hardwareGroupId}/devices/{deviceId}" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Create a Device

POST

/hardware/v1/hubs/{serialNumber}/device

Create a Device.

Requires a bearer access token for this API with the Organization.Device.Write permission. See Authentication.

Parameters

serialNumberstringpathrequired

Path parameter

Request body

object
batteryobject

The details of the battery of a device

connectionobject

The connection information for the device

errorstring

Any error relating to the device

identifiersobject

The unique identifiers for this device

locationobject
modelobject
namestring

The name of the device

networkobject

The network details of the device

noteobject

Any notes about the device

osobject

The operating system details of the device

productobject

The product details of the device

storageobject[]

The storage details of the device

trustobject

The trust status of the device

typestringrequired

The type of device e.g mobile, storage, other

One of: "mobile", "tablet", "storage", "other"

vendorobject

The manufacturer of the device e.g Apple or Samsung

hardwareobject[]
metadatamap of any
idstring

Responses

200

Response schema with result and metadata

object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X POST "https://connect.cambrionix.com/api/hardware/v1/hubs/{serialNumber}/device" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "battery": {
    "capacity": {
      "current": 0,
      "original": 0
    },
    "error": "string",
    "health": 0,
    "level": 0,
    "status": "charging"
  },
  "connection": {
    "status": "connected",
    "updated": 0,
    "speed": {
      "current": {
        "description": "Low",
        "value": "1.5Mbps"
      },
      "supported": {
        "description": "Low",
        "value": "1.5Mbps"
      }
    },
    "type": "usb",
    "version": "string"
  },
  "error": "string",
  "identifiers": {
    "commonId": "string",
    "ecid": "string",
    "imei": "string",
    "serialNumber": "string",
    "udid": "string",
    "usbSerialNumber": "string"
  },
  "location": {
    "computerId": "00000000-0000-0000-0000-000000000000",
    "hub": {
      "serialNumber": "string"
    },
    "id": 0,
    "port": 0
  },
  "model": {
    "code": "string",
    "description": "string"
  },
  "name": "string",
  "network": {
    "ip": "string",
    "mac": "string"
  },
  "note": {
    "content": "string",
    "updated": {
      "entity": {
        "id": "string"
      },
      "globalService": {
        "id": "string"
      },
      "time": 0,
      "user": {
        "id": "string"
      }
    }
  },
  "os": {
    "type": "Android",
    "version": "string"
  },
  "product": {
    "id": 0,
    "name": "string"
  },
  "storage": [
    {
      "format": "string",
      "free": 0,
      "max": 0,
      "name": "string",
      "path": "string"
    }
  ],
  "trust": {
    "status": "not-paired",
    "supported": true
  },
  "type": "mobile",
  "vendor": {
    "id": 0,
    "name": "string"
  },
  "hardware": [
    {
      "id": "string"
    }
  ],
  "id": "string"
}'

Get Devices

GET

/hardware/v1/hubs/{serialNumber}/devices

Get all devices for a hub.

Requires a bearer access token for this API with the Organization.Device.Read permission. See Authentication.

Parameters

serialNumberstringpathrequired

Path parameter

filterstringquery

Returns only the items that match, written as (path::operator::value), such as (name::co::Lab). Operators are eq, co, sw, ew, gt and pr, and the case-insensitive ieq, ico, isw and iew. Combine conditions as ((a)::and::(b)) or ((a)::or::(b)).

sortstringquery

Orders the items, written as (path::asc) or (path::desc). Combine orders as ((a)::and::(b)).

limitintegerquery

The maximum number of items to return.

tokenstringquery

Returns the next page: the _metadata.continuationToken of the previous response.

Responses

200

Response schema with result and metadata

object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultOrganizationDevice[]required
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/hardware/v1/hubs/{serialNumber}/devices" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Get Device

GET

/hardware/v1/hubs/{serialNumber}/devices/{deviceId}

Get a device by id.

Requires a bearer access token for this API with the Organization.Device.Read permission. See Authentication.

Parameters

serialNumberstringpathrequired

Path parameter

deviceIdstringpathrequired

Path parameter

Responses

200

Response schema with result and metadata

object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/hardware/v1/hubs/{serialNumber}/devices/{deviceId}" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Update Device

PATCH

/hardware/v1/hubs/{serialNumber}/devices/{deviceId}

Update a device by id.

Requires a bearer access token for this API with the Organization.Device.Write permission. See Authentication.

Parameters

serialNumberstringpathrequired

Path parameter

deviceIdstringpathrequired

Path parameter

Request body

object
batteryobject

The details of the battery of a device

connectionobject

The connection information for the device

errorstring

Any error relating to the device

identifiersobject

The unique identifiers for this device

locationobject
modelobject
namestring

The name of the device

networkobject

The network details of the device

noteobject

Any notes about the device

osobject

The operating system details of the device

productobject

The product details of the device

storageobject[]

The storage details of the device

trustobject

The trust status of the device

typestring

The type of device e.g mobile, storage, other

One of: "mobile", "tablet", "storage", "other"

vendorobject

The manufacturer of the device e.g Apple or Samsung

hardwareobject[]
metadatamap of any

Responses

200

Response schema with result and metadata

object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X PATCH "https://connect.cambrionix.com/api/hardware/v1/hubs/{serialNumber}/devices/{deviceId}" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "battery": {
    "capacity": {
      "current": 0,
      "original": 0
    },
    "error": "string",
    "health": 0,
    "level": 0,
    "status": "charging"
  },
  "connection": {
    "status": "connected",
    "updated": 0,
    "speed": {
      "current": {
        "description": "Low",
        "value": "1.5Mbps"
      },
      "supported": {
        "description": "Low",
        "value": "1.5Mbps"
      }
    },
    "type": "usb",
    "version": "string"
  },
  "error": "string",
  "identifiers": {
    "commonId": "string",
    "ecid": "string",
    "imei": "string",
    "serialNumber": "string",
    "udid": "string",
    "usbSerialNumber": "string"
  },
  "location": {
    "computerId": "00000000-0000-0000-0000-000000000000",
    "hub": {
      "serialNumber": "string"
    },
    "id": 0,
    "port": 0
  },
  "model": {
    "code": "string",
    "description": "string"
  },
  "name": "string",
  "network": {
    "ip": "string",
    "mac": "string"
  },
  "note": {
    "content": "string",
    "updated": {
      "entity": {
        "id": "string"
      },
      "globalService": {
        "id": "string"
      },
      "time": 0,
      "user": {
        "id": "string"
      }
    }
  },
  "os": {
    "type": "Android",
    "version": "string"
  },
  "product": {
    "id": 0,
    "name": "string"
  },
  "storage": [
    {
      "format": "string",
      "free": 0,
      "max": 0,
      "name": "string",
      "path": "string"
    }
  ],
  "trust": {
    "status": "not-paired",
    "supported": true
  },
  "type": "mobile",
  "vendor": {
    "id": 0,
    "name": "string"
  },
  "hardware": [
    {
      "id": "string"
    }
  ]
}'

Delete Device

DELETE

/hardware/v1/hubs/{serialNumber}/devices/{deviceId}

Delete a device by id.

Requires a bearer access token for this API with the Organization.Device.Delete permission. See Authentication.

Parameters

serialNumberstringpathrequired

Path parameter

deviceIdstringpathrequired

Path parameter

Responses

200
object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X DELETE "https://connect.cambrionix.com/api/hardware/v1/hubs/{serialNumber}/devices/{deviceId}" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Get User Devices

GET

/hardware/v1/users/{userId}/devices

Get all devices for a user.

Requires a bearer access token for this API with the Organization.Device.User.Read permission. See Authentication.

Parameters

userIdstringpathrequired

Path parameter

filterstringquery

Returns only the items that match, written as (path::operator::value), such as (name::co::Lab). Operators are eq, co, sw, ew, gt and pr, and the case-insensitive ieq, ico, isw and iew. Combine conditions as ((a)::and::(b)) or ((a)::or::(b)).

sortstringquery

Orders the items, written as (path::asc) or (path::desc). Combine orders as ((a)::and::(b)).

limitintegerquery

The maximum number of items to return.

tokenstringquery

Returns the next page: the _metadata.continuationToken of the previous response.

Responses

200

Response schema with result and metadata

object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultOrganizationDevice[]required
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/hardware/v1/users/{userId}/devices" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"